#include <bits/stdc++.h>
using namespace std;
FILE *f;
#define printf(args...) fprintf(f,##args)
const int maxm=2000005;
int a[maxm];
inline void make()
{
    // int T=5,n,m,i,j;
    // printf("%d 0\n",T);
    // while(T--)
    // {
    //     n=1000-rand()%5,m=1000-rand()%5;
    //     printf("%d %d %d %d\n",n,m,1,1);
    //     for(i=0;i<n;i++,printf("\n"))
    //         for(j=0;j<m;j++)
    //             printf("%d",0);
    // }
    int m=400000,T=5,n,i,k;
    printf("%d\n",T);
    for(n=2;n<=2+T;n++)
    {
        if(n==2+T) n=300;
        k=2*n-1;
        for(i=0;i<m;i+=2) a[i]=a[i+1]=0xdadccf-rand()%k;
        printf("%d %d %d\n",n,m,k);
        random_shuffle(a,a+m);
        for(i=0;i<m;i++) printf("%d ",a[i]);
        printf("\n");
    }
}
#undef printf
int main()
{
    // f=fopen("plant.in","w"),make(),fclose(f);
    int i;
    for(i=1;i<=100;i++)
    {
        f=fopen("meow.in","w"),make(),fclose(f);
        if(system("time ./test")) { printf("RE\n"); break; }
        if(system("./checker")) { printf("WA\n"); break; }
        if(1) printf("%d tests passed\n",i);
    }
    return 0;
}